rawtoppm(1)

NAME
rawtoppm - convert raw RGB bytes into a portable pixmap

SYNOPSIS
rawtoppm [-headerskip N] [-rowskip N] [-rgb|-rbg|-grb |-gbr|-brg|-bgr ] [-interpixel|-interrow] width height [imagedata]

DESCRIPTION
Reads raw RGB bytes as input. Produces a portable pixmap as output. The input file is just RGB bytes. You have to specify the width and height on the command line, since the program obviously can't get them from the file. The maxval is assumed to be 255. If the resulting image is upside down, run it through pnmflip -tb .

OPTIONS

-headerskip
    If the file has a header, you can use this flag to skip over it.

-rowskip
    If there is padding at the ends of the rows, you can skip it with this flag.

-rgb -rbg -grb -gbr -brg -bgr
    These flags let you specify alternate color orders. The default is -rgb.

-interpixel -interrow
    These flags let you specify how the colors are interleaved. The default is -interpixel, meaning interleaved by pixel. A byte of red, a byte of green, and a byte of blue, or whatever color order you specified. -interrow means interleaved by row - a row of red, a row of green, a row of blue, assuming standard rgb color order. An -interplane flag - all the red pixels, then all the green, then all the blue - would be an obvious extension, but is not implemented. You could get the same effect by splitting the file into three parts (perhaps using dd), turning each part into a PGM file with rawtopgm, and then combining them with rgb3toppm.

SEE ALSO
ppm(5), rawtopgm(1), rgb3toppm(1), pnmflip(1)

AUTHOR
Copyright (C) 1991 by Jef Poskanzer.